import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/beauMarko/030c463311ae4b74d01a5d87ab67a4fb/raw/b067df8e03c1d477f2f31a85d9abac4b033af93e/gistfile1.txt';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.moneyPt = +d.moneyPt;
      d.actionsPt = +d.actionsPt;
      return d;
    };
    csv(csvUrl, row).then((data) =>
      setData(data.slice(0, 10))
    );
  }, []);
  console.log(data)
  return data;
};